Audit
sfp server API reference for Audit: 9 endpoints.
/sfp/api/auditRetrieve audit trail entries across registered audit sources. Requires Owner role. Use the approval compliance API for SOX approval exports.
Authorization
access-token In: header
Query Parameters
Audit source to query
Value in
- "integration"
- "approval"
- "variable"
- "environment"
- "slack"
Filter by action. Prefix match without dot (integration) or exact action (integration.created).
Filter by actor email
Filter by repository identifier where the audit source exposes one
Filter by audited entity identifier
ISO 8601 start timestamp, inclusive
ISO 8601 end timestamp, exclusive
Maximum entries to return
value <= 100050Offset into the result set
0Response Body
curl -X GET "https://example.com/sfp/api/audit"/sfp/api/audit/exportsCreates an owner-only audit CSV export job. Approval compliance exports remain under the approval compliance API.
Authorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/audit/exports" \ -H "Content-Type: application/json" \ -d '{}'/sfp/api/audit/exports/{id}Authorization
access-token In: header
Path Parameters
Audit export id
Response Body
curl -X GET "https://example.com/sfp/api/audit/exports/string"/sfp/api/audit/exports/{id}/downloadAuthorization
access-token In: header
Path Parameters
Audit export id
Response Body
curl -X GET "https://example.com/sfp/api/audit/exports/string/download"/sfp/api/audit/exports/{id}/download-urlAuthorization
access-token In: header
Path Parameters
Audit export id
Response Body
curl -X GET "https://example.com/sfp/api/audit/exports/string/download-url"/sfp/api/audit/internal/exports/{id}/rowsAuthorization
access-token In: header
Path Parameters
Query Parameters
Cursor created_at value from the previous page
Cursor row id from the previous page
Maximum rows to return
value <= 10001000Response Body
curl -X GET "https://example.com/sfp/api/audit/internal/exports/string/rows"/sfp/api/audit/internal/exports/{id}/completeAuthorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/audit/internal/exports/string/complete" \ -H "Content-Type: application/json" \ -d '{ "objectKey": "string", "fileName": "string", "rowCount": 0, "fileSizeBytes": 0 }'/sfp/api/audit/internal/exports/{id}/failAuthorization
access-token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/audit/internal/exports/string/fail" \ -H "Content-Type: application/json" \ -d '{ "error": "string" }'/sfp/api/audit/internal/exports/cleanupAuthorization
access-token In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/audit/internal/exports/cleanup" \ -H "Content-Type: application/json" \ -d '{}'